## bzero

#### OS/161 Reference Manual

### Name

bzero - zero out memory

### Library

Standard C Library (libc, -lc)

### Synopsis

`#include <string.h>`
`void`
`bzero(void *`buf`, size_t` len`);`

### Description

The region of memory pointed to by buf, of length len, is zeroed out.

### Restrictions

Zeroing the bytes of a floating point number does not necessarily produce a floating point zero value. Similarly, zeroing the bytes of a pointer does not necessarily produce `NULL`.